repo/gentoo:master commit in: dev-python/botocore/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1787117905.442297cea2a5bb083ff2d057c3b7e2536e9adb19.mgorny@gentoo>
commit:     442297cea2a5bb083ff2d057c3b7e2536e9adb19
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 19 04:33:31 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug 19 05:38:25 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=442297ce

dev-python/botocore: Bump to 1.43.74

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/botocore/Manifest                |  1 +
 dev-python/botocore/botocore-1.43.74.ebuild | 67 +++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 79d45fd6a383..497871dd9fd0 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -12,3 +12,4 @@ DIST botocore-1.43.70.gh.tar.gz 16949701 BLAKE2B 67d0ecd46c0330402e848466a1ddccd
 DIST botocore-1.43.71.gh.tar.gz 16959340 BLAKE2B bb8726e9819fbb64366d1c12f9bde2ad647ef586cb3fc2b343bab476df29113bd876552199c6eb21c3b8891dc6894229c13dff0d2e08827dda8d4558c999d88d SHA512 999cf463ed3502da5400005ae1fbccddd0d41ab630bcedf4c8745148be5dda98fa3526771164ab2045d230b3dc95cdb418417d3b130f3637b68fdf86fec83cef
 DIST botocore-1.43.72.gh.tar.gz 16966215 BLAKE2B ccb01e2001fd1584bc635a19daf241371bf9e00b97f5d1adf07f4dbff0a5f8ac75ab93f66b8e05976a1fda1c111c6148ade5bdfa585ccdad4376a7651cf088e2 SHA512 0ee8aa2a82c6db2d1094679612146b9be98eff499880a33721cbc324b631ba6e268031e4ec0c1f8025da5dd187e7f211ef6da6c97ab13c5a3b9d9d93f4a80248
 DIST botocore-1.43.73.gh.tar.gz 16978406 BLAKE2B d822e8de190d7cba908ab03cce8112540853afa397d5519434dd989b199694cfe4d0b2ca13a73eb4387967b3f8ffb43e207caba055fca180548a635d974c340a SHA512 bcb2c6b2f13bbc30cb555633d9ed716cbd9ad3e59bfe2057d5224ef39043b88ee7cb69dfeafceb2ccfde2093be1acdb1fbf33c1cb9461ae865fd402ca9381b88
+DIST botocore-1.43.74.gh.tar.gz 16984072 BLAKE2B 5f45bb07ca0605f24bec1f92562c035282441a2e784e5c022b75164b6644b0ff87fb85f38905e6a362ce606bb5eb8a5ca4b8f9f3b82fae446f641522344e8623 SHA512 e7e789df0fb77db2dfde00e68c36ea91de8016f19c618b90d05bb0922a3997e50f2b25b2f04ce1a3353ae66def2db6a3636fecb5bc87829af6713b60ad074883

diff --git a/dev-python/botocore/botocore-1.43.74.ebuild b/dev-python/botocore/botocore-1.43.74.ebuild
new file mode 100644
index 000000000000..1714d2dfdc7f
--- /dev/null
+++ b/dev-python/botocore/botocore-1.43.74.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+	https://github.com/boto/botocore/
+	https://pypi.org/project/botocore/
+"
+SRC_URI="
+	https://github.com/boto/botocore/archive/${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+	<dev-python/jmespath-2[${PYTHON_USEDEP}]
+	dev-python/python-dateutil[${PYTHON_USEDEP}]
+	>=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+	dev-python/requests[${PYTHON_USEDEP}]
+	dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		dev-python/jsonschema[${PYTHON_USEDEP}]
+	)
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+	# unpin deps
+	sed -i -e "s:>=.*':':" setup.py || die
+
+	# unbundle deps
+	rm -r botocore/vendored || die
+	find -name '*.py' -exec sed -i \
+		-e 's:from botocore[.]vendored import:import:' \
+		-e 's:from botocore[.]vendored[.]:from :' \
+		{} + || die
+
+	distutils-r1_src_prepare
+}
+
+python_test() {
+	local EPYTEST_DESELECT=(
+		# rely on bundled six
+		tests/functional/test_six_imports.py::test_no_bare_six_imports
+		tests/functional/test_six_threading.py::test_six_thread_safety
+	)
+
+	epytest tests/{functional,unit}
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.